using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using Syncfusion.Web.UI.WebControls.Tools;
using Syncfusion.Web.UI.WebControls.Tools.TreeViewControl;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            Treeviewbind();

        }
    }

    public void Treeviewbind()
    {
        TreeView1.Items.Clear();

        int listitem = Convert.ToInt32(ListboxItem.SelectedValue);

        for (int i = 0; i < listitem; i++)
        {


            TreeViewNode root1 = new TreeViewNode();
            root1.Text = "Root for " + i.ToString();
            root1.EditNode = InheritableBool.False;
            root1.ExpandMode = TreeViewNodeExpandMode.ClientSide;
            root1.Expanded = true;
            root1.ShowCheckBox = false;
            root1.DraggingEnabled = false;
            root1.Value = i.ToString();
            TreeView1.Items.Add(root1);

            TreeViewNode node1 = null;

            node1 = new TreeViewNode();
            node1.Text = "ChildNode" + i.ToString();
            node1.EditNode = InheritableBool.False;
            node1.Expanded = true;
            node1.ShowCheckBox = false;
            node1.DraggingEnabled = false;
            node1.Value = i.ToString() + " value";
            root1.Items.Add(node1);

        }




    }
    protected void ListboxItem_SelectedIndexChanged(object sender, EventArgs e)
    {
        Treeviewbind();
    }
}